# ETableSorted

## Name

ETableSorted --

## Synopsis

    #define     E_TABLE_SORTED_TYPE
    typedef     ETableSorted;
    ETableModel* e_table_sorted_new             (ETableModel *etm,
                                                 int col,
                                                 GCompareFunc compare);
    void        e_table_sorted_resort           (ETableSorted *ets,
                                                 int col,
                                                 GCompareFunc compare);

## Object Hierarchy

      GtkObject
       +----ETableModel
             +----ETableSubset
                   +----ETableSorted

## Description

## Details

### E_TABLE_SORTED_TYPE

    #define E_TABLE_SORTED_TYPE        (e_table_sorted_get_type ())

### ETableSorted

    typedef struct {
    	ETableSubset base;

    	short         sort_col;
    	GCompareFunc  compare;
    } ETableSorted;

### e_table_sorted_new ()

    ETableModel* e_table_sorted_new             (ETableModel *etm,
                                                 int col,
                                                 GCompareFunc compare);

`etm` : |
`col` : |
`compare` : |
Returns : |

### e_table_sorted_resort ()

    void        e_table_sorted_resort           (ETableSorted *ets,
                                                 int col,
                                                 GCompareFunc compare);

`ets` : |
`col` : |
`compare` : |